ProLiant Servers - Netservers

Proliant Essentials on Redhat Enterprise V4

 
CA1491885
New Member

Proliant Essentials on Redhat Enterprise V4

Hi,

I installed proliant essentials 770 on Redhat Enterprise V3 with no issues, simply installed Redhat Enterprise V3, ran up2date and when everything was updated installed proliant essentials.

However trying to install proliant essentials 790 on Redhat Enterprise V4 update 5 it appears Redhat have changed the way the distribute kernel source and headers. They claim everything you should need is there to rebuild the kernel but not all the source.

On trying to install proliant essentials it fails because it can not find the source.

I modified the install script and hardcoded

KERNELsrc="/lib/modules/2.6.9-55.0.6.ELsmp/build"

instead of

KERNELsrc="/lib/modules/'uname -r'/build"

This allowed all but the NC series broagcom tg3 driver to install which appears to be failing for a similar reason.

Anyone any ideas how to install proliant essentials properly and get round this problem.

I guess it may be as simple as making some links.

By default it looks in 2.6.9-55.ELsmp instead of 2.6.9-55.0.6.ELsmp.

Do I need to install full source code?

Thanks
Duncan
2 REPLIES 2
Chris Rosan
Valued Contributor

Re: Proliant Essentials on Redhat Enterprise V4

Duncan,

Are you running in 32 bit or 64 bit mode? I had a similar problem installing qlogic drivers on a 64 bit Redhat 4 system. HP's RPM's don't solve or tell you that you have failed dependencies.

Tell me your version as i've probably got the solution for you.
CA1491885
New Member

Re: Proliant Essentials on Redhat Enterprise V4

I think this is a compatability issue between Redhat Enterprise 4 Release 5 and Proliant Support Pack.

By simply creating a link from 2.6.9-55.ELsmp to 2.6.9-55.0.6.ELsmp the install works.

The PSP install routine uses uname -r which results in 2.6.9-55 but Redhat sticks the source in to 2.6.9-55.0.6.

Thanks
Duncan